package cn.com.qmth.examcloud.core.oe.student.bean.client;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 人脸活体具体动作验证结果
 */
public class FaceLiveVerifyAction implements JsonSerializable {

    private static final long serialVersionUID = 3567311334163339241L;

    @ApiModelProperty(value = "动作类型")
    private String type;

    @ApiModelProperty(value = "是否通过")
    private Boolean pass;

    @ApiModelProperty(value = "图片地址")
    private String fileUrl;

    @ApiModelProperty(value = "操作次数")
    private Integer operateNum;

    @ApiModelProperty(value = "处理耗时（毫秒）")
    private Long processTime;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getPass() {
        return pass;
    }

    public void setPass(Boolean pass) {
        this.pass = pass;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer getOperateNum() {
        return operateNum;
    }

    public void setOperateNum(Integer operateNum) {
        this.operateNum = operateNum;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

}
